public static interface DebeziumMongodbEndpointBuilderFactory.DebeziumMongodbBuilders
| Modifier and Type | Method and Description |
|---|---|
default DebeziumMongodbEndpointBuilderFactory.DebeziumMongodbEndpointBuilder |
debeziumMongodb(String path)
Debezium MongoDB Connector (camel-debezium-mongodb)
Capture changes from a MongoDB database.
|
default DebeziumMongodbEndpointBuilderFactory.DebeziumMongodbEndpointBuilder |
debeziumMongodb(String componentName,
String path)
Debezium MongoDB Connector (camel-debezium-mongodb)
Capture changes from a MongoDB database.
|
default DebeziumMongodbEndpointBuilderFactory.DebeziumMongodbEndpointBuilder debeziumMongodb(String path)
debezium-mongodb:name
Path parameter: name (required)
Unique name for the connector. Attempting to register again with the
same name will fail.path - namedefault DebeziumMongodbEndpointBuilderFactory.DebeziumMongodbEndpointBuilder debeziumMongodb(String componentName, String path)
debezium-mongodb:name
Path parameter: name (required)
Unique name for the connector. Attempting to register again with the
same name will fail.componentName - to use a custom component name for the endpoint
instead of the default namepath - nameApache Camel